Summary: Recreate Ultima 7 for modern operating systems using the original game data
Name: exult
Version: 1.5.0
Release: 1%{?dist}
License: GPLv2+
URL: http://%{name}.sourceforge.net/
Source0: https://github.com/%{name}/%{name}/archive/master.zip

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: desktop-file-utils
BuildRequires: libtool
BuildRequires: pkg-config
BuildRequires: bison
BuildRequires: flex
BuildRequires: freetype-devel >= 2
BuildRequires: gcc-c++
BuildRequires: glib-devel >= 2
BuildRequires: libpng-devel >= 1.2.43
BuildRequires: libtheora-devel >= 1.1.1
BuildRequires: SDL2-devel >= 2.0.0
BuildRequires: gtk+-devel
BuildRequires: libX11-devel
BuildRequires: alsa-lib-devel
BuildRequires: pkgconfig(ogg) >= 1.2.0
BuildRequires: pkgconfig(vorbis) >= 1.0.1
BuildRequires: pkgconfig(vorbisfile)
BuildRequires: pkgconfig(libglade-2.0) >= 2.0
BuildRequires: pkgconfig(libgnomeui-2.0) >= 2.16

%description
%{name} is a project to recreate Ultima 7 for modern operating systems using the
original game data

%global _debugsource_packages 1
%global _debuginfo_subpackages 1

%prep
%setup -q -n %{name}-master
iconv -f iso8859-1 -t utf-8 AUTHORS > AUTHORS.conv && mv -f AUTHORS.conv AUTHORS
iconv -f iso8859-1 -t utf-8 docs/IslandAddOn.txt > docs/IslandAddOn.txt.conv && mv -f docs/IslandAddOn.txt.conv docs/IslandAddOn.txt
# Don't mangle *FLAGS
%{__sed} -i -e "/^C.*LAGS=/d" configure.ac
./autogen.sh

%build
%configure \
    --enable-alsa \
    --enable-compiler \
    --enable-data \
    --enable-exult-studio \
    --enable-exult-studio-support \
    --enable-mods \
    --enable-nxbr \
    --enable-opengl \
    --enable-shared \
    --enable-zip-support \
    --disable-static

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

%check

%clean
%{__rm} -rf %{buildroot}

%files
%{_bindir}/splitshp
%{_bindir}/shp2pcx
%{_bindir}/textpack
%{_bindir}/expack
%{_bindir}/ipack
%{_bindir}/ucc
%{_bindir}/ucxt
%{_bindir}/%{name}
%{_bindir}/%{name}_studio
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/exult.desktop
%{_datadir}/icons/exult.png
%doc %{_mandir}/man?/*
%license COPYING
%doc AUTHORS
%doc README*
%doc ChangeLog
%doc FAQ
%doc NEWS
%doc docs/ReadMe.html
%doc docs/bgitems.txt
%doc docs/exult_studio.html
%doc docs/exult_studio.txt
%doc docs/faq.html
%doc docs/siitems.txt
%doc docs/ucc.txt

%changelog
* Tue May 1 2018 Wulf C. Krueger <wk@mailstation.de> 1.5.0-1
- Initial SPEC
